﻿<div class="top-row pl-4 navbar navbar-dark">
    <a class="navbar-brand" href="/admin/dashboard">Dakaris Admin Panel</a>
    <button class="navbar-toggler" @onclick="ToggleNavMenu">
        <span class="navbar-toggler-icon"></span>
    </button>
</div>

<div class="@NavMenuCssClass" @onclick="ToggleNavMenu">
    <ul class="nav flex-column">
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="/admin/dashboard" Match="NavLinkMatch.All">
                Dashboard
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="/admin/viewnurse" Match="NavLinkMatch.All">
                View All Nurse
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="/admin/report" Match="NavLinkMatch.All">
                Reports
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="/admin/chart" Match="NavLinkMatch.All">
                Charts
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="/admin/package" Match="NavLinkMatch.All">
                Packages
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="/admin/complain" Match="NavLinkMatch.All">
                Complain
            </NavLink>
        </li>
    </ul>
</div>

@code {
    private bool collapseNavMenu = true;

    private string NavMenuCssClass => collapseNavMenu ? "collapse" : null;

    private void ToggleNavMenu()
    {
        collapseNavMenu = !collapseNavMenu;
    }
}
